[fwupd]

# Allow blocking specific devices by their GUID
# Uses semicolons as delimiter
DisabledDevices=

# Allow blocking specific plugins
# Uses semicolons as delimiter
DisabledPlugins=test;test_ble

# Maximum archive size that can be loaded in Mb, with 0 for the default
ArchiveSizeMax=0

# Idle time in seconds to shut down the daemon -- note some plugins might
# inhibit the auto-shutdown, for instance thunderbolt.
#
# A value of 0 specifies 'never'
IdleTimeout=7200

# Comma separated list of domains to log in verbose mode
# If unset, no domains
# If set to FuValue, FuValue domain (same as --domain-verbose=FuValue)
# If set to *, all domains (same as --verbose)
VerboseDomains=

# Update the message of the day (MOTD) on device and metadata changes
UpdateMotd=true

# For some plugins, enumerate only devices supported by metadata
EnumerateAllDevices=false

# A list of firmware checksums that has been approved by the site admin
# If unset, all firmware is approved
ApprovedFirmware=

# Allow blocking specific devices by their checksum, either SHA1 or SHA256
# Uses semicolons as delimiter
BlockedFirmware=

# Allowed URI schemes in the preference order; failed downloads from the first
# scheme will be retried with the next in order until no choices remain.
#
# If unset or no schemes are listed, the default will be: file,https,http,ipfs
UriSchemes=

# Ignore power levels of devices when running updates
IgnorePower=false

# Only support installing firmware signed with a trusted key
OnlyTrusted=true

# Show private data like device serial numbers and instance IDs to clients
ShowDevicePrivate=true

# UIDs that should marked as trusted
TrustedUids=

# A host best known configuration is used when using `fwupdmgr sync` which can
# downgrade firmware to factory versions or upgrade firmware to a supported
# config level. e.g. `vendor-factory-2021q1`
HostBkc=

# Override the location used for the EFI system partition (ESP) path.
# This is typically used if UDisks is not available, or was not able to
# automatically identify the location for any reason.
EspLocation=

# Override values for SMBIOS / Device Tree data on a system.
# These are only required when the SMBIOS or Device Tree data is invalid,
# missing, or to simulate running on another system.
# * Uncomment them to populate blank entries
# * Uncomment them and add values to populate specific entries
#Manufacturer=
#ProductName=
#ProductSku=
#Family=
#EnclosureKind=
#BaseboardProduct=
#BaseboardManufacturer=
